spot 2.3.4

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Types | Public Member Functions | Static Public Member Functions | List of all members
spot::trival Class Reference
Miscellaneous helper functions

A class implementing Kleene's three-valued logic. More...

`#include <spot/misc/trival.hh>`

Collaboration diagram for spot::trival:

## Public Types
enum | value_t : repr_t { no_value = -1, maybe_value = 0, yes_value = 1 }
typedef signed char | repr_t

## Public Member Functions
constexpr | trival (bool v)
| trival (repr_t v)
constexpr | trival (value_t v)
constexpr bool | is_known () const
| Is true or false, but not maybe. More...
constexpr bool | is_maybe () const
constexpr bool | is_true () const
constexpr bool | is_false () const
constexpr bool | operator== (trival o) const
constexpr bool | operator!= (trival o) const
constexpr value_t | val () const
constexpr | operator bool () const
constexpr trival | operator! () const

## Static Public Member Functions
static constexpr trival | maybe ()

## Detailed Description

A class implementing Kleene's three-valued logic.

https://en.wikipedia.org/wiki/Three-valued_logic#Kleene_and_Priest_logics

## Member Function Documentation

constexpr bool spot::trival::is_known | ( |  | ) | const
| inline

Is true or false, but not maybe.

The documentation for this class was generated from the following file:

- spot/misc/trival.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.